
Redmine - Feature #13361

Add filter for issue status change

2013-03-05 19:10 - Ksaveras Sakys

Status: New Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I'd like to have special filter to filter out all statuses that changed their status from X to Y.

Let's say we have issues that we resolved and later closed. When I want to create status report for a period (month) I would like to

filter out all issues that status was changed from in progress to resolved during desired month period.

If i try to filter out closed issues some of them can fell to another month - resolved on January, closed on February.

History

#1 - 2013-03-07 12:54 - Anonymous

The simplest path for you here would be using a SQL query pointed right at Redmine's database. One of the journal tables in there will have a column

like 'old_value' and 'value'. Have the query filter old to the status ID for In Progress, and filter value to the status ID for resolved. You can then filter the

results by date either from a spreadsheet view later, or add the date filter to your SQL query.

Getting this sort of filter natively in Redmine would be challenging to design. I can imagine, when filtering on status, offering a 'was' choice...but

getting the date of that change would not be easy to do in a user-friendly way.

One possible path, if it's still early in your project, would be grabbing the Custom Workflows plugin and writing a script that writes a date to a custom

field whenever the status changes to Resolved. All resolved issues going forward would have an easily filtered date value for these reports.

#2 - 2013-03-10 16:13 - Toshi MARUYAMA

- Category set to Issues

#3 - 2013-04-10 20:32 - Sikandar Ahmed

I have a status "Reopen". I require a filter through I can find that how many tickets are reopened and after that it was fixed in any release or build.

Currently there is no mechanism or any filter I can applied.

In Jira, I can find this with single liner query and got the results
